# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::LogicOp Class Reference

RenderState wrapping the OpenGL function glLogicOp(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLogicOp.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::LogicOp:

List of all members.

## Public Member Functions

| LogicOp (ELogicOp logicop=LO_COPY)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (ELogicOp logicop)
ELogicOp | logicOp () const
virtual ref< RenderState > | clone () const

## Protected Attributes

ELogicOp | mLogicOp

## Detailed Description

RenderState wrapping the OpenGL function glLogicOp(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLogicOp.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_COLOR_LOGIC_OP

Definition at line 1005 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::LogicOp::LogicOp | ( | ELogicOp | logicop = `LO_COPY` ) | `[inline]`

Definition at line 1010 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::LogicOp::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 1015 of file Shader.hpp.

References vl::RS_LogicOp.

void LogicOp::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 560 of file Shader.cpp.

References mLogicOp, and VL_CHECK_OGL.

void vl::LogicOp::set | ( | ELogicOp | logicop ) | `[inline]`

Definition at line 1019 of file Shader.hpp.

ELogicOp vl::LogicOp::logicOp | ( | ) | const`[inline]`

Definition at line 1021 of file Shader.hpp.

virtual ref<RenderState> vl::LogicOp::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 1023 of file Shader.hpp.

## Member Data Documentation

ELogicOp vl::LogicOp::mLogicOp`[protected]`

Definition at line 1031 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.